/* *******************************************************************
   Serial
   just some functions to control the board via Serial interface
   ***************************************************************** */

// check for incoming serial commands
void serialUpdate()
{
  int i = Serial.read();
  switch (i)
  {
    case -1 : return;                     // nothing on serial - return to loop
    case 'g': clientTrigger(); break;     // trigger the webclient
    case 's': safTriggerStore(); break;   // store data to SAF
    case 'f': safTriggerForward(); break; // if available forward data from SAF to external server
  }
}
